Qt 5.6 | Qt Core | C++ Classes | QGenericReturnArgument

Qt 5.6.2 Reference Documentation

# QGenericReturnArgument Class

The QGenericReturnArgument class is an internal helper class for marshalling arguments. More...

Header: | #include <QGenericReturnArgument>
qmake: | QT += core
Inherits: | QGenericArgument

- List of all members, including inherited members

## Public Functions

| QGenericReturnArgument(const char *name = Q_NULLPTR, void *data = Q_NULLPTR)

- 2 public functions inherited from QGenericArgument

## Detailed Description

The QGenericReturnArgument class is an internal helper class for marshalling arguments.

This class should never be used directly. Please use the Q_RETURN_ARG() macro instead.

See also Q_RETURN_ARG(), QMetaObject::invokeMethod(), and QGenericArgument.

## Member Function Documentation

### QGenericReturnArgument::QGenericReturnArgument(const char *name = Q_NULLPTR, void *data = Q_NULLPTR)

Constructs a QGenericReturnArgument object with the given name and data.